Skip to main content
POST
Execute subscription plan change

Authorizations

x-api-key
string
header
required

Enter your API key in the format x-api-key <api-key>*

Path Parameters

id
string
required

Subscription ID

Body

application/json

Subscription change request

Request object for changing a subscription plan (upgrade/downgrade)

billing_cadence
enum<string>
required
Available options:
RECURRING
billing_cycle
enum<string>
required
Available options:
anniversary,
calendar
billing_period
enum<string>
required
Available options:
MONTHLY,
ANNUAL,
WEEKLY,
DAILY,
QUARTERLY,
HALF_YEARLY,
ONETIME
proration_behavior
enum<string>
required
Available options:
create_prorations,
none
target_plan_id
string
required

target_plan_id is the ID of the new plan to change to (required)

billing_period_count
integer

billing_period_count is the billing period count for the new subscription

change_at
enum<string>
Available options:
immediate,
end_of_period
metadata
object

metadata contains additional key-value pairs for storing extra information

Response

OK

Response after successfully executing a subscription plan change

change_type
enum<string>
Available options:
upgrade,
downgrade,
lateral
credit_grants
object[]

credit_grants contains any credit grants created for proration credits

effective_date
string<date-time>

effective_date is when the change took effect

invoice
object
is_scheduled
boolean

is_scheduled indicates if the change was scheduled or executed immediately

metadata
object

metadata from the request

new_subscription
object
old_subscription
object
proration_applied
object
schedule_id
string

schedule_id is the ID of the created schedule (only if is_scheduled=true)

scheduled_at
string<date-time>

scheduled_at is when the change will execute (only if is_scheduled=true)